Auto Orders
Retrieve auto orders
Retrieves auto orders from the account. If no parameters are specified, all auto orders will be returned. You will need to make multiple API calls in order to retrieve the entire result set since this API performs result set pagination.
Retrieve auto order batch
Retrieves a group of auto orders from the account based on an array of auto order oids. If more than 200 auto order ids are specified, the API call will fail with a bad request error.
Update multiple auto orders
Update multiple auto orders on the UltraCart account.
Retrieve auto order cancel reasons.
Retrieves auto order cancel reasons.
Retrieve an auto order by code
Retrieves a single auto order using the specified reference (original) order id.
Retrieve auto orders by query
Retrieves a group of auto orders from the account based on a query object. You will need to make multiple API calls in order to retrieve the entire result set since this API performs result set pagination.
Retrieve an auto order by order id
Retrieves a single auto order using the specified reference (original) order id.
Establish an auto order by referencing a regular order id
Establish an auto order by referencing a regular order id. The result will be an auto order without any items. You should add the items and perform an update call. Orders must be less than 60 days old and use a credit card payment.
Cancel a single item on an auto order
Cancels a single item on an auto order identified by the original order id and the item's original_item_id. The request body may specify mode=end (soft cancel by setting no_order_after_dts to the current time, preserving the row for reporting; this is the default when the body is omitted) or mode=remove (hard delete). Returns the updated auto order based upon expansion.
Retrieve an auto order by oid
Retrieves a single auto order using the specified auto order oid.
Update an auto order
Update an auto order on the UltraCart account.
Consolidates multiple auto orders
Consolidates mutliple auto orders on the UltraCart account.
Retrieve email delivery information for this auto order.
Retrieves email delivery records associated with the specified auto order.
Update an auto order item add ons
Update an auto order item add ons. Returns the auto order based upon expansion
Update an auto order item properties
Update an auto order item properties. Returns the auto order based upon expansion
Pause auto order
Completely pause an auto order
Update an auto order properties
Update an auto order properties. Returns the auto order based upon expansion
Webhooks
The following webhook events are available for this resource. See Webhooks for how delivery, retries, and versioning work.
| Event | Description | Reflow | Expandable |
|---|---|---|---|
auto_order_cancel | Fired when an auto order is canceled | — | Yes |
auto_order_create | Fired when an auto order is created | — | Yes |
auto_order_decline | Fired when an auto order is declined | — | Yes |
auto_order_disable | Fired when an auto order is disabled | — | Yes |
auto_order_item_cancel | Fired when an item on an auto order has reached its no_order_after date and effectively cancels | — | Yes |
auto_order_item_cancel_scheduled | Fired when an item on an auto order is scheduled for cancellation (no_order_after set so the item has no future shipments) | — | Yes |
auto_order_item_pause | Fired when an item on an auto order is paused | — | Yes |
auto_order_item_reactivate | Fired when an item on an auto order is reactivated (no_order_after cleared) | — | Yes |
auto_order_item_unpause | Fired when an item on an auto order is unpaused | — | Yes |
auto_order_preshipment | Fired when an auto order generates a new pre-shipment notice | — | Yes |
auto_order_rebill | Fired when an auto order is rebilled | — | Yes |
auto_order_update | Fired when an auto order is updated | — | Yes |